Bug 1199977 - pgp-tools-1.1.12-4.fc23 FTBFS: Broken signature detection test fails
Summary: pgp-tools-1.1.12-4.fc23 FTBFS: Broken signature detection test fails
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pgp-tools
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
: 1239788 (view as bug list)
Depends On:
Blocks: F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-03-09 12:20 UTC by Petr Pisar
Modified: 2015-09-03 10:04 UTC (History)
3 users (show)

Fixed In Version: 2.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-03 10:04:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2015-03-09 12:20:01 UTC
pgp-tools-1.1.12-4.fc23 fails to build in F22 because tests fail:

Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.JnIVxH
+ umask 022
+ cd /builddir/build/BUILD
~/build/BUILD/signing-party-1.1.12/gpgdir/test ~/build/BUILD/signing-party-1.1.12
+ cd signing-party-1.1.12
+ pushd gpgdir/test
+ ./gpgdir_test.pl
[+] ==> Running gpgdir test suite <==
(Setup) gpgdir program compilation..................................pass (0)
(Setup) Command line argument processing............................pass (1)
(Test mode) gpgdir basic test mode..................................pass (2)
(Encrypt dir) gpgdir directory encryption...........................pass (3)
(Encrypt dir) Files recursively encrypted...........................pass (4)
(Encrypt dir) Exclude hidden files/dirs.............................pass (5)
(Decrypt dir) gpgdir directory decryption...........................pass (6)
(Decrypt dir) Files recursively decrypted...........................pass (7)
(MD5 digest) match across encrypt/decrypt cycle.....................pass (8)
(Ascii-armor dir) gpgdir directory encryption.......................pass (9)
(Ascii-armor dir) Files recursively encrypted.......................pass (10)
(Ascii-armor dir) Exclude hidden files/dirs.........................pass (11)
(Decrypt dir) gpgdir directory decryption...........................pass (12)
(Decrypt dir) Files recursively decrypted...........................pass (13)
(MD5 digest) match across encrypt/decrypt cycle.....................pass (14)
(Obfuscate filenames) gpgdir directory encryption...................pass (15)
(Obfuscate filenames) Files recursively encrypted...................pass (16)
(Obfuscate filenames) Exclude hidden files/dirs.....................pass (17)
(Decrypt dir) gpgdir directory decryption...........................pass (18)
(Decrypt dir) Files recursively decrypted...........................pass (19)
(MD5 digest) match across encrypt/decrypt cycle.....................pass (20)
(Sign/verify dir) gpgdir directory signing..........................pass (21)
(Sign/verify dir) Files recursively signed..........................pass (22)
(Sign/verify dir) Exclude hidden files/dirs.........................pass (23)
(Sign/verify dir) Broken signature detection........................fail (24)
[-] Could not find bad signature
    STDOUT and STDERR available in: output/24.test file.
(Sign/verify dir) gpgdir directory verification.....................pass (25)
(Sign/verify dir) Files recursively verified........................pass (26)
(Bad passphrase) detect broken passphrase...........................pass (27)
[+] ==> Passed 27/28 tests against gpgdir. <==
[+] ==> Failed 1/28 tests against gpgdir. <==
[+] This console output has been stored in: test.log
+ RC=0
+ grep 'STATUS: fail' output/0.test output/1.test output/10.test output/11.test output/12.test output/13.test output/14.test output/15.test output/16.test output/17.test output/18.test output/19.test output/2.test output/20.test output/21.test output/22.test output/23.test output/24.test output/25.test output/26.test output/27.test output/3.test output/4.test output/5.test output/6.test output/7.test output/8.test output/9.test
+ RC=1
+ popd
~/build/BUILD/signing-party-1.1.12
+ exit 1
error: Bad exit status from /var/tmp/rpm-tmp.JnIVxH (%check)

Difference between working and failing build root:

        gnupg 	1.4.18-4.fc22 	> 	1.4.19-1.fc23
	libgcc 	5.0.0-0.16.fc23 	> 	5.0.0-0.17.fc23
	libstdc++ 	5.0.0-0.16.fc23 	> 	5.0.0-0.17.fc23
	openssl-libs 	1:1.0.1k-3.fc23 	> 	1:1.0.1k-4.fc23
	kernel-headers 	4.0.0-0.rc1.git1.1.... 	> 	4.0.0-0.rc1.git2.1....
	cpp 	5.0.0-0.16.fc23 	> 	5.0.0-0.17.fc23
	gcc-c++ 	5.0.0-0.16.fc23 	> 	5.0.0-0.17.fc23
	gcc-gdb-plugin 	5.0.0-0.16.fc23 	> 	5.0.0-0.17.fc23
	gcc 	5.0.0-0.16.fc23 	> 	5.0.0-0.17.fc23
	libstdc++-devel 	5.0.0-0.16.fc23 	> 	5.0.0-0.17.fc23
	libgomp 	5.0.0-0.16.fc23 	> 	5.0.0-0.17.fc23

Comment 1 Marcin Juszkiewicz 2015-07-14 13:43:01 UTC
gnupg 1.4.19 is a reason. I did build with 1.4.18-4 and it passed.

Comment 2 Marcin Juszkiewicz 2015-07-15 08:56:45 UTC
*** Bug 1239788 has been marked as a duplicate of this bug. ***

Comment 3 Jan Kurik 2015-07-15 14:25:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 4 Fedora Update System 2015-09-03 10:04:39 UTC
pgp-tools-2.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.